package com.hfkj.service.order;

import com.hfkj.entity.BsOrder;
import com.hfkj.model.order.OrderModel;

/**
 * @className: BsOrderService
 * @author: HuRui
 * @date: 2024/4/29
 **/
public interface BsOrderService {

    /**
     * 编辑数据
     * @param order
     * @return
     */
    BsOrder editData(BsOrder order);

    /**
     * 创建订单
     * @param order 订单
     * @return
     */
    OrderModel create(OrderModel order);

    /**
     * 查询订单
     * @param orderNo
     * @return
     */
    BsOrder getOrder(String orderNo);

    /**
     * 查询订单详情
     * @param orderNo 交易单号
     * @return
     */
    OrderModel getDetail(String orderNo);


}
